KISSPLICE(1)

NAME
kissplice - detection of polymorphisms in RNA-seq data.

SYNOPSIS
kissplice -h
kissplice [OPTION] [-r READFILES]

DESCRIPTION
Detects alternative splicing events and other kinds of polymorphisms from READFILES (in FASTA or FASTQ format).

OPTIONS

-h, --help
    Show this help message and exit.

-r READFILES
    Input fasta/q read files (multiple, such as "-r file1 -r file2...").

-k KVAL
    k-mer size (default=25).

-l LLMAX
    Maximal length of the shorter path (default: 2k-1).

-m LL_MIN
    Minimum length of the shorter path (default 2k-8).

-M UL_MAX
    Maximum length of the longest path (default 1000), skipped exons longer than UL_MAX are not reported.

-g GRAPH_PREFIX
    Path and prefix to pre-built de Bruijn graph (suffixed by .edges/.nodes) if jointly used with -r, graph used to find bubbles and reads used for quantification.

-o OUT_DIR
    Path to store the results (default = ./results).

-d PATH_TO_TMP
    Specific directory (absolute path) where to build temporary files (default temporary directory otherwise).

-t NBPROCS
    Number of cores (must be <= number of physical cores).

-s  Don't output SNPs (saves time).

-v  Verbose mode.

-u  Keep the nodes/edges file for unfinished bccs.

-c MIN_COV
    Discard k-mers tha are present strictly less than this number of times in the dataset. (default 2).

-C MIN_RELATIVE_COV
    Discard edges with relative coverage below MIN_RELATIVE_COV expressed as a percentage in [0,1). (default 0.02).

-z GENOME_SIZE
    Estimated number of nodes in the De-Bruin Graph. (default = 1000000000).

-e MIN_EDIT_DIST
    Classify as inexact repeats those bubbles whose paths' edit distance is smaller than MIN_EDIT_DIST (default 3).

-y MAX_CYCLES
    Maximal number of bubble enumerations in each bcc. If exceeded, no bubble is output for the bcc (default 10000).

--timeout TIMEOUT
    Max amount of time (in seconds) spent for enumerating bubbles in each bcc. If exceeded, no bubble is output for the bcc (default 900).

--version
    Display program's version number and exit.